<p>
  Bitte wählen Sie aus der Liste den Drucker aus, mit dem Sie drucken möchten.
</p>
@if (error()) {
  <div>
    <p class="text-isa-accent-red">{{ formatError(error()) }}</p>
  </div>
}
<div
  uiListbox
  [value]="selected()"
  (valueChange)="select($event.value[0])"
  [compareWith]="compareWith"
  [disabled]="printing()"
  class="max-h-96 overflow-y-auto"
>
  @for (printer of data.printers; track printer.key) {
    <button uiListboxItem [value]="printer">{{ printer.value }}</button>
  }
</div>
<div class="grid grid-cols-2 gap-2">
  <button uiButton color="secondary" (click)="close({ printer: undefined })">
    Verlassen
  </button>
  <button
    uiButton
    color="primary"
    (click)="print()"
    [disabled]="!canPrint()"
    [pending]="printing()"
  >
    Drucken
  </button>
</div>
